      subroutine ssd_init
        use ssd, only: glue_init
        ml_external ssd_init
        call glue_init()
      end subroutine

      subroutine ssd_run_simple(t_epoch,elems,obscod,t_eph_ut,&
            src_matrix,h_v,out_ra,out_dec,out_mag,exterrcod)
        use constants_mod, only: wp
        use ssd, only: glue_run_simple
        ml_external ssd_run_simple
        real (kind=wp) :: t_epoch, elems(6)
        character (len=3) :: obscod
        real (kind=wp) :: t_eph_ut, h_v
        real (kind=wp) :: src_matrix(21)
        real (kind=wp) :: out_ra, out_dec, out_mag
        integer :: exterrcod

        call glue_run_simple(t_epoch,elems,src_matrix,obscod,&
            t_eph_ut,h_v,out_ra,out_dec,out_mag,exterrcod)
      end subroutine
